<div align="center">
  <img src="./logo.png" width="300">
  <h1 align="center">
    Automated telegram account
  </h1>
</div>

This project is an attempt to add some utillities to your account.

This app uses telegram API and connects to it as a user, not as a bot. To use it, you need to register a new application, and obtain `api hash token` and `application id` from official telegram website. You can do it [here](https://core.telegram.org/api/obtaining_api_id).


## How to

First of all, you need to install [Rust](http://rust-lang.org/). Personally I recommend to use [rustup](https://rustup.rs/).

Make sure everything is fine by running `cargo --version`.

1. Compile the app.
    ```bash
    cargo build --release
    ```
    After that command you'll find a compiled binary in `target/release/s3bot`.

2. Run the compiled binary.


## Configuration

You can configure this app by either command line arguments or with environment variables.

If you place .env file in current working directory, contents will be loaded as environment variables.

For additional help please use:

```bash
s3bot --help
```