use askama::Template;

/// Index pages.
///
/// This page is used to authenticate users.
/// It has two states: activated or not.
///
/// It the activated is false, we
/// render two input fields, with telegram code
/// and server's password.
///
/// If the user is authenticated, we just render
/// some random information.
#[derive(Template)]
#[template(path = "index.html")]
pub struct Index {
    pub activated: bool,
    pub username: String,
    pub image_num: u8,
}
