use grammers_client::{types::Message, Update};

#[must_use]
pub fn get_message(update: &Update) -> Option<&Message> {
    match update {
        Update::NewMessage(msg) | Update::MessageEdited(msg) => Some(msg),
        _ => None,
    }
}
