use async_trait::async_trait;
use dyn_clone::DynClone;
use grammers_client::{Client, Update};

#[async_trait]
pub trait Handler: DynClone + Sync + Send {
    async fn react(&self, client: &Client, update: &Update) -> anyhow::Result<()>;
}

dyn_clone::clone_trait_object!(Handler);
