use grammers_client::{Client, Update};

use crate::bot::handlers::Handler;

#[derive(Clone)]
pub struct Help;

#[async_trait::async_trait]
impl Handler for Help {
    async fn react(&self, _: &Client, update: &Update) -> anyhow::Result<()> {
        let Update::NewMessage(message) = update else {return  Ok(())};

        message.reply("Я больше не рассказываю что я умею.").await?;

        Ok(())
    }
}
