use grammers_client::{Client, Update};

use crate::{bot::handlers::Handler, utils::messages::get_message};

#[derive(Clone)]
pub struct Repeator;

#[async_trait::async_trait]
impl Handler for Repeator {
    async fn react(&self, _: &Client, update: &Update) -> anyhow::Result<()> {
        let Some(message) = get_message(update) else { return Ok(()) };
        message.respond(message.text()).await?;
        Ok(())
    }
}
